from fastapi import FastAPI

from api.app_builder.dependencies import init_dependencies

from .routers import init_routers


def app_factory() -> FastAPI:
    app = FastAPI()
    init_dependencies(app)
    init_routers(app)

    return app
