from sqlalchemy.ext.asyncio import AsyncSession

from api.domain.user import User, UserRepository


class SqlAlchemyUserRepository(UserRepository):
    def __init__(self, session: AsyncSession) -> None:
        self.session = session

    async def create_user(self, user: User) -> None:
        pass

    async def get_user(self, filter: dict) -> User | None:
        pass

    async def get_users(self) -> list[User]:
        return []
